Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.extension.svg
Class BatikMultiImageElementBridge.MultiImageElementViewport

    java.lang.Object
      org.apache.batik.extension.svg.BatikMultiImageElementBridge.MultiImageElementViewport

All Implemented Interfaces:
  Viewport

Enclosing class:
  BatikMultiImageElementBridge

public static class BatikMultiImageElementBridge.MultiImageElementViewport
extends java.lang.Object
implements Viewport

A viewport defined an <svg> element.

Constructor Summary
`BatikMultiImageElementBridge.MultiImageElementViewport(float w, float h)` Constructs a new viewport with the specified `SVGSVGElement`.

Method Summary
`float` | `getHeight()` Returns the height of this viewport.
`float` | `getWidth()` Returns the width of this viewport.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikMultiImageElementBridge.MultiImageElementViewport

    public BatikMultiImageElementBridge.MultiImageElementViewport(float w,
                                                                  float h)

  Constructs a new viewport with the specified `SVGSVGElement`.

Parameters:
  `w` - the width of the viewport
  `h` - the height of the viewport

Method Detail

### getWidth

    public float getWidth()

  Returns the width of this viewport.

  Specified by:
    `getWidth` in interface `Viewport`

### getHeight

    public float getHeight()

  Returns the height of this viewport.

  Specified by:
    `getHeight` in interface `Viewport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.